package com.dbnt.faisp.translator.mapper;

import com.dbnt.faisp.translator.model.Translator;
import com.dbnt.faisp.translator.model.TranslatorCrr;
import com.dbnt.faisp.util.ParamMap;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TranslatorMapper {

	List<Translator> selectTranslatorList(Translator translator);

	Integer selectTranslatorListCnt(Translator translator);

	List<Translator> selectHistoryList(Translator translator);

	Translator HistoryView(Translator translator);

	List<TranslatorCrr> selectCareerList(TranslatorCrr translatorCrr);

	List<ParamMap> selectStatisticsLangCnt();

	ParamMap selectStatisticsLangTotal();

	List<ParamMap> selectTranslatorListEx(Translator translator);

	String selectTrFristId(int translatorKey);

}
